/**
 * API du serveur de l'application de digitalisation des EP
 * API qui sra utilisée afin de faire communiquer le client et le serveur ainsi que le serveur et la boîte noire.
 *
 * OpenAPI spec version: 1.2.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AugmentationSalaireModel } from './augmentationSalaireModel';
import { AutorisationModel } from './autorisationModel';
import { CollaborateurModel } from './collaborateurModel';
import { DemandeDelegationModel } from './demandeDelegationModel';
import { DemandeFormationModel } from './demandeFormationModel';
import { DocumentModel } from './documentModel';
import { EngagementModel } from './engagementModel';
import { RDVEntretienModel } from './rDVEntretienModel';

export interface EpModel { 
    id: number;
    type: string;
    dateCreation: Date;
    dateDisponibilite: Date;
    datePrevisionnelle: Date;
    dateSaisie?: Date;
    etat: number;
    cv?: string;
    dateEntretien?: Date;
    typeEntretien?: string;
    obligatoire: boolean;
    commentaireAssistant?: string;
    commentaireCollaborateur?: string;
    commentaireCommercial?: string;
    collaborateur: CollaborateurModel;
    referent?: CollaborateurModel;
    demandesFormation?: Array<DemandeFormationModel>;
    participants?: Array<CollaborateurModel>;
    engagements?: Array<EngagementModel>;
    propositionsRDV?: Array<RDVEntretienModel>;
    augmentationSalaire?: AugmentationSalaireModel;
    autorisations?: Array<AutorisationModel>;
    demandesDelegation?: Array<DemandeDelegationModel>;
    documents: Array<DocumentModel>;
}